Subject: Re: [OPSAWG] [Technical Errata Reported] RFC5935 (2477)

From: Mark Ellison <[email-masked]>
Date: Sat, 2 Oct 2010 07:59:56 -0400

Hello Dave,

Upon checking the IANA XML schema registry at
http://www.iana.org/assignments/xml-registry/schema.html we have the
following:
smi:base:1.0
 urn:ietf:params:xml:schema:smi:base:1.0
 smi:base:1.0<http://www.iana.org/assignments/xml-registry/schema/smi/base/1.0.xsd>
 [RFC5935] <http://www.rfc-editor.org/rfc/rfc5935.txt>

Upon checking the IANA XML namespace registry at
http://www.iana.org/assignments/xml-registry/ns.html we have the following:
smi:base:1.0
 urn:ietf:params:xml:ns:smi:base:1.0
 smi:base:1.0<http://www.iana.org/assignments/xml-registry/ns/smi/base/1.0.txt>
 [RFC5935] <http://www.rfc-editor.org/rfc/rfc5935.txt>

So, both the schema and namespace urns appear properly registered at IANA,

The issue was essentially a typo in section 7 of the RFC 5935 that elided
the 'smi' portion of the schema urn.  The proper form of the schema urn
appears in subsection 7.2.

Regards

Mark
-- 
Mark Ellison                     Ellison Software Consulting, Inc.
voice:  +1 (603) 362-9270        38 Salem Road
skype:  ellison.software         Atkinson, NH  03811, USA
web:    http://EllisonSoftware.com/

On Tue, Sep 28, 2010 at 11:31 AM, David Harrington <[email-masked]>wrote:

>  Hi,
>
> does this modify an IANA request?
> If so, make sure IANA modifies the regsitry to match.
>
> dbh
>
>  ------------------------------
> *From:* [email-masked] [mailto:[email-masked]] *On
> Behalf Of *Romascanu, Dan (Dan)
> *Sent:* Sunday, August 22, 2010 11:31 AM
> *To:* Mark Ellison; RFC Errata System
> *Cc:* [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> *Subject:* Re: [OPSAWG] [Technical Errata Reported] RFC5935 (2477)
>
>  Looks OK to me. Unless somebody objects on the opsawg list in the next
> few days I will approve this resolution.
>
> Thanks and Regards,
>
> Dan
>
>
>  ------------------------------
> *From:* [email-masked] [mailto:[email-masked]] *On
> Behalf Of *Mark Ellison
> *Sent:* Saturday, August 21, 2010 6:46 PM
> *To:* RFC Errata System
> *Cc:* [email-masked]; [email-masked]; Romascanu, Dan (Dan);
> [email-masked]; [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> *Subject:* Re: [Technical Errata Reported] RFC5935 (2477)
>
> Hi Alfred,
>
> Thank you for calling this errata on RFC 5935 to our attention.  As one of
> the authors of this RFC, I concur with your suggested change to Section 7,
> page 11.
>
> If there are no objections from others, I recommend transitioning this
> errata submission to 'verified'.
>
> Regards,
>
> Mark
>
> On Thu, Aug 19, 2010 at 6:55 AM, RFC Errata System <
> [email-masked]> wrote:
>
>>
>> The following errata report has been submitted for RFC5935,
>> "Expressing SNMP SMI Datatypes in XML Schema Definition Language".
>>
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=5935&eid=2477
>>
>> --------------------------------------
>> Type: Technical
>> Reported by: Alfred Hoenes <[email-masked]>
>>
>> Section: 7, pg.11
>>
>> Original Text
>> -------------
>>   In accordance with RFC 3688 [RFC3688], the IANA XML registry has been
>>   updated with the following namespace and schema registrations
>>   associated with this document:
>>
>>   o  urn:ietf:params:xml:ns:smi:base:1.0
>>
>> |  o  urn:ietf:params:xml:schema:base:1.0
>>
>> Corrected Text
>> --------------
>>   In accordance with RFC 3688 [RFC3688], the IANA XML registry has been
>>   updated with the following namespace and schema registrations
>>   associated with this document:
>>
>>   o  urn:ietf:params:xml:ns:smi:base:1.0
>>
>> |  o  urn:ietf:params:xml:schema:smi:base:1.0
>>
>>
>> Notes
>> -----
>> Rationale: "smi:" component missing in schema registration;
>>  Section 7.2 provides the correct URI.
>>  The registry entry at IANA is correct as well.
>>
>> Remark:
>>  Also, the ASCII transliteration of the last name of the submitter
>>  of this note is misspelled in the last paragraph of Section 8.
>>
>> Instructions:
>> -------------
>> This errata is currently posted as "Reported". If necessary, please
>> use "Reply All" to discuss whether it should be verified or
>> rejected. When a decision is reached, the verifying party (IESG)
>> can log in to change the status and edit the report, if necessary.
>>
>> --------------------------------------
>> RFC5935 (draft-ietf-opsawg-smi-datatypes-in-xsd-06)
>> --------------------------------------
>> Title               : Expressing SNMP SMI Datatypes in XML Schema
>> Definition Language
>> Publication Date    : August 2010
>> Author(s)           : M. Ellison, B. Natale
>> Category            : PROPOSED STANDARD
>> Source              : Operations and Management Area Working Group
>> Area                : Operations and Management
>> Stream              : IETF
>> Verifying Party     : IESG
>>
>
>
>